%% Exponential Decay

t = linspace(0,5,500);
y = exp(-t);
tp = [-log(9/10) -log(1/2) -log(1/10)];
yp = exp(-tp);
fprintf('markers: %g %g %g\n',tp);
fprintf('t(1/10)-t(9/10): %g\n',tp(3)-tp(1));
fprintf('after five time constants signal is %.2g%%\n',exp(-5)*100);
plot(t,y,'k-',tp,yp,'ko');
grid on;
xlabel('time (t/\tau)');
ylabel('signal (v/v_0)');